Skip to content
Get started

List workspaces

GET/v1/workspaces

Lists all workspaces for the current account

Query ParametersExpand Collapse
cursor: optional string

Pagination cursor from previous response

includeInfo: optional boolean

When set to true you may use more of your alloted API rate-limit

limit: optional number

Maximum number of results to return

formatint32
sortOrder: optional string

Sort order for results (asc or desc by creation time)

ReturnsExpand Collapse
items: optional array of Workspace { metadata, spec }
metadata: AccountResourceMetadata { id, accountId, name, 3 more }

AccountResourceMetadata is used to represent a resource that is associated to an account but not to a workspace.

id: string

Unique identifier for the resource (prefixed ULID, e.g., "apikey_01HXK...")

accountId: string

Account this resource belongs to for multi-tenant isolation (prefixed ULID)

name: string

Human-readable name for the resource (e.g., "Customer Support Agent", "Email Tool") Required for resources that users interact with directly

profileId: string
externalId: optional string

External ID for the resource (e.g., a workflow ID from an external system)

labels: optional map[string]

Arbitrary key-value pairs for categorization and filtering Examples: {"environment": "production", "team": "platform", "version": "v2"}

spec: WorkspaceSpec { description }
description: optional string

List workspaces

curl https://api.cadenya.com/v1/workspaces \
    -H "Authorization: Bearer $CADENYA_API_KEY"
{
  "items": [
    {
      "metadata": {
        "id": "id",
        "accountId": "accountId",
        "name": "name",
        "profileId": "profileId",
        "externalId": "externalId",
        "labels": {
          "foo": "string"
        }
      },
      "spec": {
        "description": "description"
      }
    }
  ],
  "pagination": {
    "nextCursor": "nextCursor",
    "total": 0
  }
}
Returns Examples
{
  "items": [
    {
      "metadata": {
        "id": "id",
        "accountId": "accountId",
        "name": "name",
        "profileId": "profileId",
        "externalId": "externalId",
        "labels": {
          "foo": "string"
        }
      },
      "spec": {
        "description": "description"
      }
    }
  ],
  "pagination": {
    "nextCursor": "nextCursor",
    "total": 0
  }
}